package cz.literak.blog.j2ee;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import java.util.Hashtable;

/**
 * Simple client that looks up EJB using remote interface over JNDI and run test methods.
 * Date: 14.8.13
 * @author Leos Literak
 */
public class OracleClient {

    public static void main(String[] args) throws Exception {
        Context ctx = null;
        try {
            ctx = getContext();
            System.out.println("Initial Context created");
            IOracleTest test = (IOracleTest) ctx.lookup("test.oracle#cz.literak.blog.j2ee.IOracleTest");
            System.out.println("Running GET test");
            test.performGet();
            System.out.println("Running CALL test");
            test.performCall();
        } finally {
            if (ctx != null) {
                ctx.close();
            }
        }
    }

    public static Context getContext() throws NamingException {
        Hashtable<String, String> env = new Hashtable<String, String>();
        env.put(Context.INITIAL_CONTEXT_FACTORY, "weblogic.jndi.WLInitialContextFactory");
        env.put(Context.PROVIDER_URL, "t3://localhost:7082");
        env.put(Context.SECURITY_PRINCIPAL, "weblogic");
        env.put(Context.SECURITY_CREDENTIALS, "weblogic123");

        System.out.println("Vytvarime InitialContext...");
        Context ctx = new InitialContext(env);
        System.out.println("... hotovo.");

        return ctx;
    }
}
